<script setup lang="ts">
import StockList from "./StockList.vue";
import StockDialog from "./StockDialog.vue";
import DeleteStockDialog from "./DeleteStockDialog.vue";
import StockMeatDialog from "./StockMeatDialog.vue";
import { useStockStore } from "@/stores/stock";
import { onMounted } from "vue";

const stockStore = useStockStore();

onMounted(async () => {
  await stockStore.getStocks();
});
</script>

<template>
  <StockList></StockList>
  <StockDialog></StockDialog>
  <DeleteStockDialog></DeleteStockDialog>
  <StockMeatDialog></StockMeatDialog>
</template>

<style scoped></style>
